Package org.eclipse.e4.ui.bindings

# Interface EBindingService

All Known Implementing Classes:
  `BindingServiceImpl`

public interface EBindingService

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTIVE_SCHEME_TAG`
`static final String`
`DEFAULT_SCHEME_ID`
`static final String`
`DELETED_BINDING_TAG`
`static final String`
`DIALOG_CONTEXT_ID`
`static final String`
`LOCALE_ATTR_TAG`
`static final String`
`MODEL_TO_BINDING_KEY`
`static final String`
`PLATFORM_ATTR_TAG`
`static final String`
`SCHEME_ID_ATTR_TAG`
`static final String`
`TYPE_ATTR_TAG`

## Method Summary

Modifier and Type
Method
Description
`void`
`activateBinding(Binding binding)`
`Binding`
`createBinding(TriggerSequence sequence, ParameterizedCommand command, String contextId, Map<String,String> attributes)`
`TriggerSequence`
`createSequence(String sequence)`
`void`
`deactivateBinding(Binding binding)`
`Collection<Binding>`
`getActiveBindings()`
`Collection<Binding>`
`getAllConflicts()`
`TriggerSequence`
`getBestSequenceFor(ParameterizedCommand command)`
`Collection<Binding>`
`getBindingsFor(ParameterizedCommand cmd)`
`Collection<Binding>`
`getConflictsFor(TriggerSequence sequence)`
`Collection<Binding>`
`getPartialMatches(TriggerSequence sequence)`
`Binding`
`getPerfectMatch(TriggerSequence trigger)`
`Collection<TriggerSequence>`
`getSequencesFor(ParameterizedCommand command)`
`boolean`
`isPartialMatch(TriggerSequence keySequence)`
`boolean`
`isPerfectMatch(TriggerSequence sequence)`

## Field Details

### DIALOG_CONTEXT_ID

static final String DIALOG_CONTEXT_ID

See Also:
  - Constant Field Values

### DEFAULT_SCHEME_ID

static final String DEFAULT_SCHEME_ID

See Also:
  - Constant Field Values

### MODEL_TO_BINDING_KEY

static final String MODEL_TO_BINDING_KEY

See Also:
  - Constant Field Values

### ACTIVE_SCHEME_TAG

static final String ACTIVE_SCHEME_TAG

See Also:
  - Constant Field Values

### SCHEME_ID_ATTR_TAG

static final String SCHEME_ID_ATTR_TAG

See Also:
  - Constant Field Values

### LOCALE_ATTR_TAG

static final String LOCALE_ATTR_TAG

See Also:
  - Constant Field Values

### PLATFORM_ATTR_TAG

static final String PLATFORM_ATTR_TAG

See Also:
  - Constant Field Values

### TYPE_ATTR_TAG

static final String TYPE_ATTR_TAG

See Also:
  - Constant Field Values

### DELETED_BINDING_TAG

static final String DELETED_BINDING_TAG

See Also:
  - Constant Field Values

## Method Details

### createBinding

Binding createBinding(TriggerSequence sequence, ParameterizedCommand command, String contextId, Map<String,String> attributes)

### activateBinding

void activateBinding(Binding binding)

### deactivateBinding

void deactivateBinding(Binding binding)

### createSequence

TriggerSequence createSequence(String sequence)

### getConflictsFor

Collection<Binding> getConflictsFor(TriggerSequence sequence)

### getAllConflicts

Collection<Binding> getAllConflicts()

### getPerfectMatch

Binding getPerfectMatch(TriggerSequence trigger)

### isPartialMatch

boolean isPartialMatch(TriggerSequence keySequence)

### isPerfectMatch

boolean isPerfectMatch(TriggerSequence sequence)

### getBestSequenceFor

TriggerSequence getBestSequenceFor(ParameterizedCommand command)

### getSequencesFor

Collection<TriggerSequence> getSequencesFor(ParameterizedCommand command)

### getPartialMatches

Collection<Binding> getPartialMatches(TriggerSequence sequence)

### getActiveBindings

Collection<Binding> getActiveBindings()

### getBindingsFor

Collection<Binding> getBindingsFor(ParameterizedCommand cmd)